Bug 1842547 (CVE-2019-20806) - CVE-2019-20806 kernel: NULL pointer dereference in tw5864_handle_frame function in drivers/media/pci/tw5864/tw5864-video.c
Summary: CVE-2019-20806 kernel: NULL pointer dereference in tw5864_handle_frame functi...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-20806
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1842548
Blocks: 1842549
TreeView+ depends on / blocked
 
Reported: 2020-06-01 14:05 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 19:58 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in tw5864_handle_frame function in drivers/media/pci/tw5864/tw5864-video.c in the TW5864 Series Video media driver. The pointer 'vb' is assigned, but not validated before its use, and can lead to a denial of service. This flaw allows a local attacker with special user or root privileges to crash the system or leak internal kernel information.
Clone Of:
Environment:
Last Closed: 2020-06-10 23:20:28 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-06-01 14:05:56 UTC
A NULL pointer dereference flaw was found in tw5864_handle_frame function in drivers/media/pci/tw5864/tw5864-video.c in TW5864 Series Video media driver.  Here a pointer 'vb' assigned but not validated before its use can lead to a denial of service (DoS) problem. This flaw could allow a local attacker with special user privilege (or root) to crash the system or leak internal kernel information.

Reference and upstream commit:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.2
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=2e7682ebfc750177a4944eeb56e97a3f05734528

Comment 1 Guilherme de Almeida Suckevicz 2020-06-01 14:06:43 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1842548]

Comment 2 Justin M. Forbes 2020-06-01 14:16:39 UTC
This was fixed for Fedora in the 5.2 stable kernel rebases.

Comment 5 Rohit Keshri 2020-06-05 12:50:04 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 8 Product Security DevOps Team 2020-06-10 23:20:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-20806

Comment 9 RaTasha Tillery-Smith 2020-06-15 14:59:24 UTC
Statement:

There was not a shipped kernel version that was seen to be affected by this problem. These files are not built into the source code.


Note You need to log in before you can comment on or make changes to this bug.